#!/bin/sh
# -*- coding: utf-8 -*-

##
## Generate ssh private key
##
## Usage: sh [-x] create-sshkey.sh <basename> [<comment>]
##
## Example:
##   $ sh create-sshkey.sh ubuntu18 ubuntu@ubuntu18
##   $ ls ubuntu18*
##   ubuntu18.pem     ubuntu18.pub
##

set -eu
#set -x

if [ $# -eq 0 ]; then
  echo "Usage: sh `basename $0` <basename> [<comment>]" >&2
  exit 1
fi

base=$1
comment=${2:-$base}
private=$base.pem    # 例：ubuntu18.pem （秘密鍵ファイル）
public=$base.pub     # 例：ubuntu18.pub （公開鍵ファイル）
ssh-keygen -t rsa -b 2048 -f $private -N "" -C "$comment" -q
mv $private.pub $public
