# -*- coding: utf-8 -*-
. `dirname $0`/../lib/common.bash   # 共通の関数や定数
. `dirname $0`/../vars/vars.bash    # 環境別の変数
: $sshd_port     # 変数が設定されていることを確認（されてないとエラー）

set -x

cd /etc/ssh/

## オリジナルのsshd設定ファイルをバックアップ
if [[ ! -f sshd_config.original ]]; then
  sudo mv sshd_config sshd_config.original # これは最初の1回だけ
fi

## オリジナルをコピーして、必要な箇所を編集
sudo cp sshd_config.original sshd_config   # これは毎回行う
sed='s/^#?PermitRootLogin .*/PermitRootLogin no/'
sudo sed -i -e "$sed" sshd_config
if [[ -n "$sshd_port" && $sshd_port -ne 22 ]]; then
  sed="s/^#?Port .*/Port ${sshd_port}/"
  sudo sed -i -e "$sed" sshd_config
fi

## sshdデーモンプロセスを再起動し設定を反映
sudo service ssh restart   # 毎回行う（変更がなくても気にしない）
