#!/bin/bash
# -*- coding: utf-8 -*-

. `dirname $0`/../lib/common.bash   # 共通の関数や定数
: $REBOOT_EXIT          # 再起動を表す終了ステータス
. `dirname $0`/../vars/vars.bash    # 環境別の変数
: $timezone             # タイムゾーン

:: "タイムゾーンを変更"; (
  if timedatectl >/dev/null 2>&1; then   # Docker以外の場合
    if timedatectl | grep -q $timezone; then
      + '# (skip)'
    else
      + sudo timedatectl set-timezone $timezone
      + 'sudo nohup sh -c "sleep 2; reboot" &' # バックグラウンドで再起動
      + 'sleep 1; exit $REBOOT_EXIT'   # 再接続を表す終了ステータスを指定
    fi
  else                                   # Dockerの場合
    if [[ "$timezone" = 'Etc/UTC' && ! -f "/etc/localtime" ]]; then
      + '# (skip)'
    else
      apt_updated_recently || + sudo apt-get update -qq
      apt_installed tzdata || + sudo apt-get install -qq -y tzdata
      zonefile=/usr/share/zoneinfo/$timezone
      if cmp $zonefile /etc/localtime >/dev/null; then
        + '# (skip)'
      else
        + sudo ln -sf $zonefile /etc/localtime
        ## Docker では reboot コマンドが動かないので、かわりに
        ## 変更の影響を受けそうなデーモンプロセスを再起動する
        + sudo service rsyslog force-reload
        + sudo service cron restart
      fi
    fi
  fi
)
