# -*- coding: utf-8 -*-
. `dirname $0`/../lib/common.bash   # 共通の関数や定数
. `dirname $0`/../vars/vars.bash    # 環境別の変数
: $domain        # 変数が設定されていることを確認（されてないとエラー）

:: nginxをインストール; (
  apt_installed nginx || + sudo apt-get install -qq -y nginx
)

:: 設定ファイルを作成して有効化; (
  siteconf=/etc/nginx/sites-available/website.conf
  + sudo cp files/nginx/website.conf $siteconf
  + "sudo sed -i -e 's/{{DOMAIN}}/$domain/g' $siteconf"
  + sudo ln -sf $siteconf /etc/nginx/sites-enabled/
)

:: 必要なディレクトリやファイルを作成; (
  sitedir=/opt/www/$domain
  logdir=/var/log/nginx/$domain
  + sudo mkdir -p           $sitedir $sitedir/html $logdir
  + sudo chown www-data:adm $sitedir $sitedir/html $logdir
  #
  index=$sitedir/html/index.html
  if [[ ! -f $index ]]; then
    + "cat <<HERE | sudo tee $index >/dev/null
<!doctype html>
<body>
  <h2>$domain</h2>
</body>
HERE
"
  fi
)

:: 設定ファイルをテスト（間違いや不整合があればエラーで終了）; (
  + sudo nginx -t
)

:: nginxの設定ファイルを再読込（再起動ではない）; (
  + sudo service nginx reload
)
